| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::DFileSelector Class Reference

A widget to choose a single local file or path. More...

Inheritance diagram for Digikam::DFileSelector:

## Signals
void | signalOpenFileDialog ()
void | signalUrlSelected (const QUrl &)

## Public Member Functions
| DFileSelector (QWidget *const parent=nullptr)
QString | fileDlgPath () const
QLineEdit * | lineEdit () const
void | setFileDlgFilter (const QString &filter)
void | setFileDlgMode (QFileDialog::FileMode mode)
void | setFileDlgOptions (QFileDialog::Options opts)
void | setFileDlgPath (const QString &path)
void | setFileDlgTitle (const QString &title)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override

## Detailed Description

Use line edit and file dialog properties to customize operation modes.